MAKEREPROPKG(1)

NOME
makerepropkg - Recompila um pacote para ver se ele é reproduzível

SINOPSE

makerepropkg [OPÇÕES] [<arquivo_pacote|pkgname>...]

DESCRIÇÃO

Dado o caminho para pacotes pacman compilados, tenta recompilá-los usando o PKGBUILD no diretório atual. Os pacotes serão compilados em um ambiente que corresponda o mais próximo possível ao ambiente do pacote inicial, construindo um chroot para corresponder às informações expostas no manifesto BUILDINFO(5) do pacote. Em caso de sucesso, os pacotes resultantes serão comparados aos pacotes dados de entrada, e o makerepropkg relatará se os artefatos são idênticos.

Quando são fornecidos vários pacotes, os arquivos de pacotes adicionais são considerados pacotes divididos e serão tratados como artefatos adicionais para comparação durante a etapa de verificação.

Alvos válidos para pacman -S podem ser especificados em vez disso, e o makerepropkg irá baixá-los para o cache se necessário. Isso é mais útil para especificar de qual repositório recuperar. Se nenhum argumento posicional for especificado, os alvos serão originados do PKGBUILD.

Em ambos os casos, o nome do pacote será convertido em um nome de arquivo do cache, e o makerepropkg continuará como se esse nome de arquivo tivesse sido especificado inicialmente.

Isso implementa um verificador para pacotes pacman/libalpm de acordo com o projeto

OPÇÕES

-d
    Se os pacotes não forem reproduzíveis, compara-os usando diffoscope.

-n
    Não executa a função check() no PKGBUILD.

-c
    Define o diretório de cache do pacman.

-M <arquivo>
    Local de um arquivo de configuração do makepkg. Adições específicas (por exemplo, sinalizadores de construção para idiomas adicionais) podem ser colocadas em <arquivo>.d/*.conf.

-l <chroot>
    O nome do diretório a ser usado como espaço de nomes de chroot. Útil para manter várias cópias. Padrão: $USER

-h
    Mostra essa mensagem de uso

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).